/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20091214
 *
 * Disassembly of ./SSDT.aml, Fri Aug  3 19:53:07 2012
 *
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x00002674 (9844)
 *     Revision         0x01
 *     Checksum         0x40
 *     OEM ID           "INTEL "
 *     OEM Table ID     "PPM RCM "
 *     OEM Revision     0x80000001 (2147483649)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20061109 (537268489)
 */
DefinitionBlock ("./SSDT.aml", "SSDT", 1, "INTEL ", "PPM RCM ", 0x80000001)
{
    External (\_PR_.CPU7, DeviceObj)
    External (\_PR_.CPU6, DeviceObj)
    External (\_PR_.CPU5, DeviceObj)
    External (\_PR_.CPU4, DeviceObj)
    External (\_PR_.CPU3, DeviceObj)
    External (\_PR_.CPU2, DeviceObj)
    External (\_PR_.CPU1, DeviceObj)
    External (\_PR_.CPU0, DeviceObj)

    Scope (\_PR.CPU0)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }

    Scope (\_PR.CPU1)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }

    Scope (\_PR.CPU2)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }

    Scope (\_PR.CPU3)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }

    Scope (\_PR.CPU4)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }

    Scope (\_PR.CPU5)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }

    Scope (\_PR.CPU6)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }

    Scope (\_PR.CPU7)
    {
        Name (TYPE, 0x00000000)
        Name (PSEN, 0x00000001)
        Name (CSEN, 0x00000000)
        Name (MWOS, 0x00000001)
        Method (_PDC, 1, NotSerialized)
        {
            CreateDWordField (Arg0, 0x08, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg0, 0x00, REVS)
            CreateDWordField (Arg0, 0x04, SIZE)
            Store (SizeOf (Arg0), Local0)
            Store (Subtract (Local0, 0x08), Local1)
            CreateField (Arg0, 0x40, Multiply (Local1, 0x08), TEMP)
            Name (STS0, Buffer (0x04)
            {
                0x00, 0x00, 0x00, 0x00
            })
            Concatenate (STS0, TEMP, Local2)
            _OSC (Buffer (0x10)
                {
                    /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                    /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
                }, REVS, SIZE, Local2)
        }

        Method (_OSC, 4, NotSerialized)
        {
            CreateDWordField (Arg3, 0x04, CAPA)
            Store (CAPA, TYPE)
            CreateDWordField (Arg3, 0x00, STS0)
            CreateDWordField (Arg3, 0x04, CAP0)
            CreateDWordField (Arg0, 0x00, IID0)
            CreateDWordField (Arg0, 0x04, IID1)
            CreateDWordField (Arg0, 0x08, IID2)
            CreateDWordField (Arg0, 0x0C, IID3)
            Name (UID0, Buffer (0x10)
            {
                /* 0000 */    0x16, 0xA6, 0x77, 0x40, 0x0C, 0x29, 0xBE, 0x47, 
                /* 0008 */    0x9E, 0xBD, 0xD8, 0x70, 0x58, 0x71, 0x39, 0x53
            })
            CreateDWordField (Arg0, 0x00, EID0)
            CreateDWordField (Arg0, 0x04, EID1)
            CreateDWordField (Arg0, 0x08, EID2)
            CreateDWordField (Arg0, 0x0C, EID3)
            If (LNot (LAnd (LAnd (LEqual (IID0, EID0), LEqual (IID1, EID1)), 
                LAnd (LEqual (IID2, EID2), LEqual (IID3, EID3)))))
            {
                Store (0x06, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (LNotEqual (Arg1, 0x01))
            {
                Store (0x0A, Index (STS0, 0x00))
                Return (Arg3)
            }

            If (And (STS0, 0x01))
            {
                And (CAP0, 0x0BFF, CAP0)
                Return (Arg3)
            }

            And (CAP0, 0x0BFF, CAP0)
            Store (CAP0, TYPE)
            Return (Arg3)
        }

        Method (_PSS, 0, NotSerialized)
        {
            If (PSEN)
            {
                Return (Package (0x14)
                {
                    Package (0x06)
                    {
                        0x00000DAC, 
                        0x000F4240, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000023, 
                        0x00002300
                    }, 

                    Package (0x06)
                    {
                        0x00000D48, 
                        0x000EA600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000022, 
                        0x00002200
                    }, 

                    Package (0x06)
                    {
                        0x00000CE4, 
                        0x000E0DA8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000021, 
                        0x00002100
                    }, 

                    Package (0x06)
                    {
                        0x00000C80, 
                        0x000D7938, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000020, 
                        0x00002000
                    }, 

                    Package (0x06)
                    {
                        0x00000C1C, 
                        0x000CE4C8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001F, 
                        0x00001F00
                    }, 

                    Package (0x06)
                    {
                        0x00000BB8, 
                        0x000C5440, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001E, 
                        0x00001E00
                    }, 

                    Package (0x06)
                    {
                        0x00000B54, 
                        0x000BCB88, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001D, 
                        0x00001D00
                    }, 

                    Package (0x06)
                    {
                        0x00000AF0, 
                        0x000B3EE8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001C, 
                        0x00001C00
                    }, 

                    Package (0x06)
                    {
                        0x00000A8C, 
                        0x000AB630, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001B, 
                        0x00001B00
                    }, 

                    Package (0x06)
                    {
                        0x00000A28, 
                        0x000A3160, 
                        0x0000000A, 
                        0x0000000A, 
                        0x0000001A, 
                        0x00001A00
                    }, 

                    Package (0x06)
                    {
                        0x000009C4, 
                        0x0009B078, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000019, 
                        0x00001900
                    }, 

                    Package (0x06)
                    {
                        0x00000960, 
                        0x00092F90, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000018, 
                        0x00001800
                    }, 

                    Package (0x06)
                    {
                        0x000008FC, 
                        0x0008B290, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000017, 
                        0x00001700
                    }, 

                    Package (0x06)
                    {
                        0x00000898, 
                        0x00083978, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000016, 
                        0x00001600
                    }, 

                    Package (0x06)
                    {
                        0x00000834, 
                        0x0007C060, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000015, 
                        0x00001500
                    }, 

                    Package (0x06)
                    {
                        0x000007D0, 
                        0x00074B30, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000014, 
                        0x00001400
                    }, 

                    Package (0x06)
                    {
                        0x0000076C, 
                        0x0006D600, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000013, 
                        0x00001300
                    }, 

                    Package (0x06)
                    {
                        0x00000708, 
                        0x000664B8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000012, 
                        0x00001200
                    }, 

                    Package (0x06)
                    {
                        0x000006A4, 
                        0x0005F758, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000011, 
                        0x00001100
                    }, 

                    Package (0x06)
                    {
                        0x00000640, 
                        0x000589F8, 
                        0x0000000A, 
                        0x0000000A, 
                        0x00000010, 
                        0x00001000
                    }
                })
            }

            Return (Zero)
        }

        Method (_PCT, 0, NotSerialized)
        {
            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x40,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000199, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x10,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000198, // Address
                        ,)
                }
            })
        }

        Method (_PPC, 0, NotSerialized)
        {
            Return (Zero)
        }

        Method (_PSD, 0, NotSerialized)
        {
            If (And (TYPE, 0x00000820))
            {
                Return (Package (0x01)
                {
                    Package (0x05)
                    {
                        0x05, 
                        0x00, 
                        0x00000000, 
                        0x000000FD, 
                        0x00000008
                    }
                })
            }

            Return (Zero)
        }
    }
}

